﻿using UnityEngine;
using UnityEngine.EventSystems;
using System.Collections;
using UnityEngine.UI;

public class NextButton : MonoBehaviour{

	private Button btn;

	void Start () {
		btn = GetComponent<Button> ();
	}

	void Update () {
		if (Input.GetKeyDown (KeyCode.Space)) {
			btn.Select ();
		}

		if (Input.GetKeyUp (KeyCode.Space)) {
			btn.onClick.Invoke();
			EventSystem.current.SetSelectedGameObject (null);
		}
	}
}
