﻿using UnityEngine;
using System.Collections;

public class PlayerTrigger : MonoBehaviour
{
	public bool triggerOnce = false;

	void Start ()
	{
		
	}

	void OnTriggerEnter (Collider other)
	{
		if (other.tag == "Player") {
			transform.parent.BroadcastMessage ("DoActivateTrigger", SendMessageOptions.DontRequireReceiver);

			if (triggerOnce) {
				Destroy (gameObject);
			}
		}
	}
}
