﻿using UnityEngine;
using System.Collections;

[RequireComponent(typeof(DeathScript))]
public class Health : MonoBehaviour
{

    public int MaxHealth = 20;

    public int HitHealth = 0;

    void Start()
    {
        HitHealth = MaxHealth;
    }

    public void Damage(int points)
    {
        HitHealth -= points;

        if (HitHealth <= 0)
        {
            gameObject.SendMessage("Dead");
        }
    }

    public void Heal(int points)
    {
        HitHealth = Mathf.Clamp(HitHealth, HitHealth + points, MaxHealth);
    }
}
