﻿using UnityEngine;
using System.Collections;

public class TemporaryObject : MonoBehaviour {

	public float lifeSeconds = 1;

	// Use this for initialization
	void Start () {
		StartCoroutine (DestroyAfterSeconds());
	}

	IEnumerator DestroyAfterSeconds()
	{
		yield return new WaitForSeconds (lifeSeconds);

		Destroy (gameObject);
	}
}
