﻿using UnityEngine;
using System.Collections;

public class StickOnGround : MonoBehaviour
{

    public Collider hear;
    public Collider body;

    private bool stick;


    void OnTriggerEnter(Collider other)
    {
        if (other.tag == "Ground" && !stick)
        {
            stick = true;
            hear.enabled = false;
            body.enabled = false;
            gameObject.layer = LayerMask.NameToLayer("Collect");
            FixedJoint distanceJoint = gameObject.AddComponent<FixedJoint>();
            distanceJoint.connectedBody = other.GetComponent<Rigidbody>();
            Bullet bullet = GetComponent<Bullet>();
            if (bullet != null)
            {
                bullet.enabled = false;
            }
        }

    }

}
