﻿using UnityEngine;
using System.Collections;

public class VineUp : MonoBehaviour {

	public Vine vine;
	public Transform target;

	private Vector3 targetPositioin;
	private Vector3 startingPosition;

	// Use this for initialization
	void Start () {
		targetPositioin = target.position;
		startingPosition = transform.position;
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		transform.position = Vector3.Lerp (startingPosition, targetPositioin, vine.PercentPulled ());
	}
}
