﻿using UnityEngine;
using System.Collections;

public class Boss : MonoBehaviour
{
    public GameObject rock;
    public Transform spawnPoint;

    public int rockCount;
    public float betweenRest;
    public float vulnerableTime;
    public SpriteRenderer vulnerableTarget;

    public bool vulnerable;

    void Start()
    {
        vulnerableTarget.enabled = false;
    }

    public void BeginBattle()
    {
        StartCoroutine(Attack());
    }


    IEnumerator Attack()
    {
        vulnerable = false;
        vulnerableTarget.enabled = false;
        for (int i = 0; i < rockCount; i++)
        {
            Instantiate(rock, spawnPoint.position, Quaternion.identity);
            yield return new WaitForSeconds(betweenRest);
            ;
        }
        StartCoroutine(Vulnerable());
    }

    IEnumerator Vulnerable()
    {
        vulnerable = true;
        vulnerableTarget.enabled = true;
        yield return new WaitForSeconds(vulnerableTime);
        StartCoroutine(Attack());
    }



}
