﻿using UnityEngine;
using System.Collections;

public class Mentor : MonoBehaviour {

	public Animator anim;

	private bool playing;

	private Coroutine coroutine;

	void Start () {
	
	}

	void Update () {
	}

	void OnTriggerEnter(Collider other)
	{
		if (other.tag == "Player") {
			coroutine = StartCoroutine ("Talk");
		}
	}

	void StartTalk()
	{		
		coroutine = StartCoroutine (Talk ());
	}

	IEnumerator Talk()
	{
		anim.SetTrigger ("Talk");

		yield return new WaitForSeconds (5);

		anim.SetTrigger ("Talk");

		StartTalk ();

		yield return null;
	}

	void OnTriggerExit(Collider other)
	{
		if (other.tag == "Player") {
			StopCoroutine ("Talk");
		}
	}
}
