﻿using UnityEngine;
using System.Collections;

public class ScaleUI : MonoBehaviour {

	public float fadeInTime = 0.5f;
	public float time = 0.2f;

	// Use this for initialization
	void Start () {
		Invoke ("FadeIn", 1);
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	public void HoverEnter()
	{
		LeanTween.cancel (gameObject);
		LeanTween.scale (((RectTransform)gameObject.transform), new Vector3(1.1f,1.1f,1.1f), time);
	}

	public void HoverExit()
	{
		LeanTween.cancel (gameObject);
		LeanTween.scale (((RectTransform)gameObject.transform), new Vector3(1,1,1), time);
	}

	public void FadeIn()
	{
		LeanTween.alpha (((RectTransform)gameObject.transform), 1, fadeInTime);
	}
}
