﻿using UnityEngine;
using System.Collections;

public class Bullet : MonoBehaviour
{

    public float speed;
    public int dmg;
    public float force;
    public float timeToLeave;

    void Start()
    {
        GetComponent<Rigidbody>().AddForce(transform.right * force);
    }

    void Update()
    {
        timeToLeave -= Time.deltaTime;
        if (timeToLeave < 0)
        {
            Destroy(gameObject);
        }
    }

    void OnTriggerEnter(Collider other)
    {
        if (other.tag != "Player")
        {
            Health hp = other.GetComponent<Health>();
            if (hp != null)
            {
                hp.Damage(dmg);
            }
        }
       
    }
        

}
