﻿using UnityEngine;
using System.Collections;

public class Shortcut : MonoBehaviour
{
    public Transform target;

	private Transform canvas;

	void Start()
	{
		canvas = transform.GetChild (0);
		canvas.gameObject.SetActive (false);
	}

    void OnTriggerEnter(Collider other)
    {
        if (other.tag == "Player")
        {
			if (other.transform.position.z == transform.position.z) {
				other.GetComponent<PlatformDepth> ().SetTarget (target.position);
			}

			canvas.gameObject.SetActive (true);
        }
    }

    void OnTriggerExit(Collider other)
    {
        if (other.tag == "Player")
        {
			if (other.transform.position.z == transform.position.z) {
				other.GetComponent<PlatformDepth> ().ClearTarget ();
			}

			canvas.gameObject.SetActive (false);
		}
    }
}
